BRepOffsetAPI_MakePipe

Hi everybody,

I have a problem with BRepOffsetAPI_MakePipe.
I want do sweep an elliptic face along a linear path, not using BRepPrimAPI_MakePrism.

But I get an exception in BRepPrimAPI_MakePrism.

Here is my code

gp_Ax2 axe2;
gp_Pnt P1 (0,0,0);
gp_Pnt P2 (0,0, 300);

TopoDS_Wire wire = BRepBuilderAPI_MakeWire(BRepBuilderAPI_MakeEdge (P1,P2));

gp_Elips elips (axe2, 2.8, 2.0);

BRepBuilderAPI_MakeEdge edge (elips);

BRepBuilderAPI_MakeWire wire1 (edge.Edge ());

TopoDS_Face face = BRepBuilderAPI_MakeFace (wire1.Wire ());

TopoDS_Shape test = BRepOffsetAPI_MakePipe (wire, face);

Can anybody help me please.
Thanks Andreas

MerryLoggings's picture

Hi there!

A possible reason might be, that gp_Ax2 is not initialized.

Etienne LORRIAUX's picture

You should check that your wire and face are correctly builded before giving them to BRepOffsetAPI_MakePipe. I don't think that your elips can be correct since you don't give any orientation. It is impossible to draw an elips just with its minor and major axes without directions.